tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.SubscriptionOptionsAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.SubscriptionOptionsAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    PubSubModule

      public abstract static class PubSubModule.SubscriptionOptionsAsyncCallback
      extends PubSubAsyncCallback

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionOptionsAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onReceiveConfiguration(IQ responseStanza, String node, JID jid, JabberDataElement form)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `onEror, onError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onTimeout`

- - ### Constructor Detail

    - #### SubscriptionOptionsAsyncCallback

          public SubscriptionOptionsAsyncCallback()

  - ### Method Detail

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onReceiveConfiguration

          protected abstract void onReceiveConfiguration(IQ responseStanza,
                                                         String node,
                                                         JID jid,
                                                         JabberDataElement form)

Copyright © 2006–2023 Tigase. All rights reserved.